catalog:
  title: Gazebo Multi-robot Simulator

templates:
- github
- cmake-cpp
- base

variables:
  description: Gazebo - A dynamic multi-robot simulator
  keywords:
  - gazebo
  - robotics
  - physics
  - simulation

  timeout/minutes: 180

  github.user: osrf
  github.project: gazebo

  branches:
  - gazebo6
  - gazebo7
  - gazebo8
  - gazebo9

  extra-requires:
  - nature: cmake
    target: dart
  - nature: cmake
    target: Bullet
    version: '3'
  - nature: cmake
    target: Simbody
  - nature: cmake
    target: sdfformat
  - nature: cmake
    target: ignition-math
  extra-provides:
  - nature: cmake
    target: gazebo

  platform-requires:
    ubuntu:
      packages:
      - libprotoc-dev
      - libtar-dev
      - libxmu-dev
      - libqwt-qt5-dev
      - '@{next-value|[]}'

  pre-build-hook/unix.command: sed -ie 's#this->SetWorldTwist(math::Vector3(0, 0,
    0), math::Vector3(0, 0, 0));##' gazebo/physics/Link.cc

versions:
- name: gazebo-ros-sim-fix
  variables:
    pre-build-hook/unix.command: ls

- name: rosfix
  variables:
    bitbucket.user: vincentrou
    branch: fix2111

- name: gazebo7_7.15.0_fixed
  variables:
    repository: ${github.project-url}/archive/gazebo7_7.15.0.tar.gz
    scm: archive
    pre-build-hook/unix.command: sed -ie 's#this->SetWorldTwist(math::Vector3(0, 0,
      0), math::Vector3(0, 0, 0));##' gazebo/physics/Link.cc
